# Uses of Interface
org.eclipse.microprofile.openapi.models.media.Encoding

Packages that use Encoding
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3 documents from their JAX-RS applications.
org.eclipse.microprofile.openapi.models.media
A set of interfaces for programmable models to represent input and output data types and media types.

## Uses of Encoding in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return Encoding
Modifier and Type
Method
Description
`static Encoding`
OASFactory.`createEncoding()`
This method creates a new `Encoding` instance.

## Uses of Encoding in org.eclipse.microprofile.openapi.models.media

Methods in org.eclipse.microprofile.openapi.models.media that return Encoding
Modifier and Type
Method
Description
`Encoding`
Encoding.`addHeader(String key, Header header)`
Adds the given header to this Encoding' list of headers with the given string as its key.
`default Encoding`
Encoding.`allowReserved(Boolean allowReserved)`
AllowReserved determines whether the parameter value SHOULD allow reserved characters to be encoded without percent-encoding.
`default Encoding`
Encoding.`contentType(String contentType)`
The Content-Type for encoding a specific property.
`default Encoding`
Encoding.`explode(Boolean explode)`
When this is true, property values of type array or object generate separate parameters for each value of the array, or key-value-pair of the map.
`default Encoding`
Encoding.`headers(Map<String,Header> headers)`
Headers property of an Encoding is a map that allows additional information to be provided as headers
`default Encoding`
Encoding.`style(Encoding.Style style)`
Style describes how the encoding value will be serialized depending on the type of the parameter value.
Methods in org.eclipse.microprofile.openapi.models.media that return types with arguments of type Encoding
Modifier and Type
Method
Description
`Map<String,Encoding>`
MediaType.`getEncoding()`
Returns the encoding property from a MediaType instance.
Methods in org.eclipse.microprofile.openapi.models.media with parameters of type Encoding
Modifier and Type
Method
Description
`MediaType`
MediaType.`addEncoding(String key, Encoding encodingItem)`
Adds an Encoding item to the encoding property of a MediaType instance.
Method parameters in org.eclipse.microprofile.openapi.models.media with type arguments of type Encoding
Modifier and Type
Method
Description
`default MediaType`
MediaType.`encoding(Map<String,Encoding> encoding)`
Sets encoding property of a MediaType instance to the given map object.
`void`
MediaType.`setEncoding(Map<String,Encoding> encoding)`
Sets encoding property of a MediaType instance to the given map object.